﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<EPiServer.Personalization.CMS.UI.Goal.Models.GoalViewModel>" %>
<%@ Import Namespace="EPiServer.Framework.Serialization"%>
<%@ Import Namespace="EPiServer.Shell" %>
<%@ Import Namespace="EPiServer.Shell.Navigation" %>

<!DOCTYPE html>
<html  xmlns="http://www.w3.org/1999/xhtml" style="overflow: auto; overflow-y: hidden;">
<head>
    <title><%= Model.ViewTitle %></title>
    <meta http-equiv="X-UA-Compatible" content="IE=11" />
    <link rel="shortcut icon" href="../../util/images/favicon.ico" type="image/x-icon" />
    <!-- Sets up the dojoConfig variable which contains module load paths and aliases. parseOnLoad is set to false
         so that the parser can be run later after everything is loaded. -->
    <%= Page.ConfigureDojo(false, true, true) %>

    <!-- Shell -->
      <%= Page.ClientResources("ShellCore") %>
      <%= Page.ClientResources("ShellWidgets") %>
      <%= Page.ClientResources("ShellCoreLightTheme") %>
      <%= Page.ClientResources("ShellWidgetsLightTheme")%>

    <link rel="stylesheet" href='<%= Paths.ToClientResource("EPiServer.Personalization.CMS.UI.Goal", "ClientResources/Styles/bootstrap.min.css") %>'/>
    <link rel="stylesheet" href='<%= Paths.ToClientResource("EPiServer.Personalization.CMS.UI.Goal", "ClientResources/Styles/index.css") %>'/>

    <!-- Loads Dojo itself and a small collection of bundled EPi-specific classes -->
    <script type="text/javascript" src='<%= Paths.ToShellClientResource("ClientResources/dojo/dojo.js") %>'></script>
    <script type="text/javascript" src='<%= Url.Action("GetLocalizationResource", "Goal", new {typeName = "episerver.personalization.goal.resources", culture = System.Threading.Thread.CurrentThread.CurrentUICulture })%>'></script>

   
    <script>
        var currentLanguage = "";

        // At this point it's not safe to require() arbitrary things yet or everything will blow up spectacularly. The
        // "Bootstrapper" has to be run first, so only require that.
        require(["epi/shell/Bootstrapper"], function (Bootstrapper) {
            var settings = <%= Html.SerializeObject(Model.Modules, KnownContentTypes.Json).Replace("<", "&lt;").Replace(">", "&gt;") %>,
                bootStrapper = new Bootstrapper(settings);

            // Loads the specified module ("CMS") and all the script bundles ClientResources that come with it.
            bootStrapper.initializeApplication(null, "CMS").then(function () {
                require([
                    "dojo/_base/connect",
                    "epi-cms/ApplicationSettings"
                ], function (
                    connect,
                    ApplicationSettings
                ) {
                    connect.publish("/epi/shell/context/updateRequest", [{ uri: "epi.cms.contentdata:///" + ApplicationSettings.rootPage }]);
                    var script = document.createElement('script');
                    script.setAttribute('src', '<%= Paths.ToClientResource("EPiServer.Personalization.CMS.UI.Goal", "ClientResources/bundled/goal.js") %>');
                    script.onreadystatechange = script.onload = function() {
                        loaded = true;
                    };
                    var head = document.getElementsByTagName('head')[0];
                    head.appendChild(script);

                    currentLanguage = ApplicationSettings.currentContentLanguage;
                });
                });
        });

        function getGoalApiEndpoint() {
            return <%= Html.SerializeObject(Model.SiteUrl, KnownContentTypes.Json) %> ;
        }

         function getCurrentContentLanguage() {
            return currentLanguage ;
        }


    </script>

</head>
<!-- The default theme "Sleek" requires this class on body -->
<body class="Sleek"  >
  
<!-- Wrapper - Application base layout -->
<div id="epi-globalDocument">
	<!-- Navigation bar -->
    <%= Html.GlobalMenu()%>

	<!-- Active/selected Application -->
    <div id="root" class="root"></div>
</div>
</body>

</html>